Bug 1770100 - [geo-rep]: Geo-rep goes FAULTY with OSError
Summary: [geo-rep]: Geo-rep goes FAULTY with OSError
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: 6
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Kotresh HR
QA Contact:
URL:
Whiteboard:
Depends On: 1699271 1699394
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-08 06:26 UTC by Kotresh HR
Modified: 2019-11-12 07:41 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1699394
Environment:
Last Closed: 2019-11-12 07:41:00 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 23691 None Merged libgfchangelog : use find_library to locate shared library 2019-11-12 07:40:59 UTC

Description Kotresh HR 2019-11-08 06:26:40 UTC
+++ This bug was initially created as a clone of Bug #1699394 +++

+++ This bug was initially created as a clone of Bug #1699271 +++

Description of problem:
=======================
Geo-replication goes faulty


Traceback (most recent call last):
  File "/usr/libexec/glusterfs/python/syncdaemon/repce.py", line 118, in worker
    res = getattr(self.obj, rmeth)(*in_data[2:])
  File "/usr/libexec/glusterfs/python/syncdaemon/changelogagent.py", line 37, in init
    return Changes.cl_init()
  File "/usr/libexec/glusterfs/python/syncdaemon/changelogagent.py", line 21, in __getattr__
    from libgfchangelog import Changes as LChanges
  File "/usr/libexec/glusterfs/python/syncdaemon/libgfchangelog.py", line 18, in <module>
    class Changes(object):
  File "/usr/libexec/glusterfs/python/syncdaemon/libgfchangelog.py", line 20, in Changes
    use_errno=True)
  File "/usr/lib64/python2.7/ctypes/__init__.py", line 360, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: libgfchangelog.so: cannot open shared object file: No such file or directory


Version-Release number of selected component (if applicable):
=============================================================
mainline


How reproducible:
================
Always


Actual results:
===============
Geo-rep status is FAULTY

Expected results:
=================
Geo-rep status should be ACTIVE/PASSIVE

--- Additional comment from Worker Ant on 2019-04-12 15:10:03 UTC ---

REVIEW: https://review.gluster.org/22557 (libgfchangelog : use find_library to locate shared library) posted (#1) for review on master by Sunny Kumar

--- Additional comment from Worker Ant on 2019-04-15 14:28:42 UTC ---

REVIEW: https://review.gluster.org/22557 (libgfchangelog : use find_library to locate shared library) merged (#3) on master by Amar Tumballi

Comment 1 Worker Ant 2019-11-08 06:32:30 UTC
REVIEW: https://review.gluster.org/23691 (libgfchangelog : use find_library to locate shared library) posted (#1) for review on release-6 by Kotresh HR

Comment 2 Worker Ant 2019-11-12 07:41:00 UTC
REVIEW: https://review.gluster.org/23691 (libgfchangelog : use find_library to locate shared library) merged (#1) on release-6 by Kotresh HR


Note You need to log in before you can comment on or make changes to this bug.